# gitops
This repository contains three level configration of core services

## Stage 1 - `base` stage
These services are needed to run the cluster in general 
- MetalLB - LoadBalancer
- Ingress Nginx - Ingress Controller
- CSI Drifer NFS - PVC
- PiHole and ExternalDNS - LAN DNS

## Stage 2 - `identity` stage
These services are needed to run all other core services in stage 3

- VaultWarden - Password and secret management - TODO: create chart or using Kustomize
- Authentik - SSO and auth provider for the whole cluster

## Stage 3 - `delivery` stage
All other core services with auth or secrets

- ArgoCD - GitOps for my other services
- Forgejo - Repository for ArgoCD and all of my other projects

# How to use

## Stage 1
